/* eslint-disable */
const predictedDataRaw =
  `BatchID\tTime [Days] \tViability [%]\tVCC [e6/ml]\tDead cell density\tLysed cell density\tBio material\tProduct [g/L]\tEffective growth rate\tDeath rate\tSpecific productivity
C1\t0\t0,9781\t3,26692\t0,073147478\t0\t0\t0\t0,675320476\t0,050516691\t0,005227683
C1\t0,000429895\t0,978088085\t3,267797612\t0,073207826\t1,06089E-05\t0,001404621\t7,34291E-06\t0,675320476\t0,050516703\t0,005227683
C1\t0,004728844\t0,977969226\t3,276586712\t0,073811874\t0,000117179\t0,015471598\t8,08806E-05\t0,675320476\t0,050516833\t0,005227683
C1\t0,04771833\t0,976808771\t3,36578831\t0,079909978\t0,001231335\t0,158239161\t0,000827224\t0,675320476\t0,050518182\t0,005227683
C1\t0,477613194\t0,96759504\t4,402874889\t0,147453198\t0,017558171\t1,818127751\t0,009504596\t0,675320212\t0,05053795\t0,005227683
C1\t1,720018646\t0,955268784\t9,567912221\t0,448025057\t0,135395427\t10,08614185\t0,052727157\t0,675275404\t0,050680624\t0,005227683
C1\t3\t0,951340148\t21,27041173\t1,087954797\t0,449357321\t28,83846966\t0,15075839\t0,674268504\t0,051060762\t0,005227683
C1\t3,106885698\t0,951159205\t22,73514721\t1,167420415\t0,489989286\t31,18939017\t0,163048259\t0,673990239\t0,051109958\t0,005227683
C1\t4\t0,949918253\t39,55344636\t2,085343318\t0,967055919\t58,33061889\t0,304934011\t0,666712849\t0,05168758\t0,005227683
C1\t4,108378519\t0,949772944\t42,27693691\t2,235740764\t1,045989717\t62,76339615\t0,328107167\t0,665067673\t0,051783151\t0,005227683
C1\t5\t0,948013399\t71,87513245\t3,941446251\t1,951531283\t112,6650124\t0,58897702\t0,618248587\t0,05287956\t0,005227683
C1\t5,109658216\t0,947656306\t76,42256887\t4,221192383\t2,102405126\t120,7943983\t0,631474876\t0,606255837\t0,053062235\t0,005227683
C1\t6\t0,942022133\t116,6852428\t7,181531304\t3,783186363\t206,6436965\t1,080267831\t0,429327243\t0,055097286\t0,005227683
C1\t6,112809521\t0,94082638\t121,5074545\t7,642255824\t4,065102022\t220,0809311\t1,150513439\t0,399050355\t0,055438623\t0,005227683
C1\t7\t0,927139727\t148,8980791\t11,70131581\t6,944006753\t341,5508929\t1,785519948\t0,188134481\t0,058924335\t0,005227683
C1\t7,118844864\t0,924817362\t151,0099634\t12,27629147\t7,424489268\t359,3754922\t1,87870131\t0,167911428\t0,059506092\t0,005227683
C1\t8\t0,905543971\t158,1823371\t16,49977907\t11,70400662\t496,5442785\t2,595776303\t0,075288122\t0,064687634\t0,005227683
C1\t8,125669913\t0,902539825\t158,1963501\t17,08272981\t12,41564351\t516,4255418\t2,699709254\t0,062430706\t0,065549267\t0,005227683
C1\t9\t0,881077696\t154,9748492\t20,9175266\t18,02759847\t653,6917076\t3,417293316\t0,03243326\t0,072344094\t0,005227683
C1\t9,132213423\t0,877799484\t154,1736362\t21,46287185\t18,97242764\t674,1293751\t3,524134973\t0,032259197\t0,073488071\t0,005227683
C1\t10\t0,855770787\t147,3105655\t24,82731034\t25,75480509\t805,1178161\t4,208901077\t0,019317923\t0,081700019\t0,005227683
C1\t10,138026\t0,852063886\t145,8773457\t25,3273586\t26,92211462\t825,3519563\t4,314678756\t0,011159086\t0,08311337\t0,005227683
C1\t11\t0,8285517\t136,3185756\t28,20776063\t34,71304177\t947,0427857\t4,95083989\t0,007453541\t0,092546446\t0,005227683
C1\t11,14349242\t0,824651601\t134,729426\t28,64796373\t36,0887111\t966,4897791\t5,052502616\t0,01131375\t0,094212075\t0,005227683
C1\t12\t0,80068744\t124,7615736\t31,05649894\t44,72048606\t1077,670596\t5,633720734\t0,008199196\t0,104663231\t0,005227683
C1\t12,14819204\t0,796418554\t122,9689161\t31,43345872\t46,28200455\t1096,026638\t5,729680307\t0,007747333\t0,106553882\t0,005227683
C1\t13\t0,771185534\t112,4154143\t33,3541954\t55,5976207\t1196,30338\t6,253895373\t0,005973801\t0,117833016\t0,005227683
C1\t13,15225233\t0,766550863\t110,4964488\t33,65112712\t57,31785247\t1213,272886\t6,34260658\t0,005666649\t0,119915833\t0,005227683
C1\t14\t0,740103628\t99,74654035\t35,02720826\t67,14641673\t1302,393334\t6,808500066\t0,004588659\t0,131816034\t0,005227683
C2\t0\t0,9718\t4,27588\t0,124078839\t0\t0\t0\t0,677562276\t0,06326387\t0,005867879
C2\t0,000329316\t0,971791932\t4,27674509\t0,124140482\t2,74495E-05\t0,001408256\t8,26348E-06\t0,677562276\t0,063263904\t0,005867879
C2\t0,003622471\t0,971711441\t4,285405615\t0,124757148\t0,000302695\t0,0155065\t9,09903E-05\t0,677562276\t0,063264245\t0,005867879
C2\t0,036554029\t0,970925651\t4,372981059\t0,130948828\t0,003130355\t0,158068721\t0,000927528\t0,677562275\t0,063267746\t0,005867879
C2\t0,36586961\t0,964693273\t5,353415463\t0,195929197\t0,039165442\t1,754158676\t0,010293191\t0,677561177\t0,063312364\t0,005867879
C2\t1,634096045\t0,955201128\t11,66333911\t0,547009862\t0,34061412\t12,03145844\t0,070599141\t0,67720799\t0,063685612\t0,005867879
C2\t3\t0,952733725\t26,84695129\t1,331909799\t1,154191277\t36,93593119\t0,216735571\t0,667459305\t0,064692967\t0,005867879
C2\t3,107553215\t0,952587876\t28,64102807\t1,425518837\t1,253744332\t39,91891918\t0,234239384\t0,664858217\t0,064816231\t0,005867879
C2\t4\t0,950767741\t47,93136828\t2,481962136\t2,397533395\t73,50023715\t0,431290491\t0,60535908\t0,066232448\t0,005867879
C2\t4,1096458\t0,950391885\t50,80889786\t2,652099297\t2,58650813\t78,91268278\t0,463050066\t0,590411306\t0,066466433\t0,005867879
C2\t5\t0,944665957\t74,68224074\t4,374530774\t4,659174533\t134,9497254\t0,791868646\t0,389799571\t0,069032767\t0,005867879
C2\t5,113830446\t0,943507213\t77,31998449\t4,629558058\t5,003322523\t143,6026949\t0,842643224\t0,358586058\t0,069458884\t0,005867879
C2\t6\t0,931624092\t90,70175393\t6,656992745\t8,364663849\t219,002735\t1,285081528\t0,163064023\t0,07362083\t0,005867879
C2\t6,120950758\t0,929741071\t91,5853737\t6,920948755\t8,91618435\t230,0285569\t1,349779716\t0,145518931\t0,074303712\t0,005867879
C2\t7\t0,915574558\t93,47539248\t8,61939775\t13,52393276\t311,8614581\t1,82996527\t0,067012297\t0,080008935\t0,005867879
C2\t7,128688949\t0,913499026\t93,27343195\t8,832240103\t14,2781613\t323,8786718\t1,900480825\t0,060466453\t0,080942805\t0,005867879
C2\t8\t0,899739521\t90,10243569\t10,04036516\t19,81925704\t403,9592509\t2,370383965\t0,0325724\t0,08780368\t0,005867879
C2\t8,13595238\t0,897641239\t89,40462971\t10,19488272\t20,74313149\t416,1619212\t2,441987757\t0,029884916\t0,088947603\t0,005867879
C2\t9\t0,884551378\t84,21717877\t10,99173831\t26,90525336\t491,250622\t2,88259916\t0,018488956\t0,096577419\t0,005867879
C2\t9,142499958\t0,882422589\t83,26893831\t11,09507655\t27,96221493\t503,1842388\t2,952624178\t0,017156515\t0,097886128\t0,005867879
C2\t10\t0,869719605\t77,23678389\t11,5697504\t34,50030359\t572,0347916\t3,356630884\t0,011773056\t0,10598146\t0,005867879
C2\t10,14827725\t0,867535933\t76,15421759\t11,62798796\t35,65542611\t583,4070959\t3,423362189\t0,011171481\t0,107411709\t0,005867879
C2\t11\t0,855020507\t69,82043111\t11,83893326\t42,37705259\t645,582447\t3,788199619\t0,008280392\t0,115734294\t0,005867879
C2\t11,15318943\t0,852772754\t68,67050535\t11,85564306\t43,59599686\t656,1901339\t3,850444242\t0,007888573\t0,117243566\t0,005867879
C2\t12\t0,840368143\t62,32823665\t11,83953991\t50,34255913\t711,6516025\t4,175885423\t0,006199823\t0,125597025\t0,005867879
C2\t12,15708654\t0,838072711\t61,16148773\t11,81724898\t51,59051627\t721,3508279\t4,232799303\t0,005953277\t0,127142221\t0,005867879
C2\t13\t0,825813136\t55,00476577\t11,60202862\t58,2268683\t770,2958684\t4,520002873\t0,004896729\t0,13535922\t0,005867879
C3\t0\t0,9699\t3,18127\t0,098727938\t0\t0\t0\t0,665888019\t0,028298073\t0,002944526
C3\t0,000442248\t0,969896804\t3,182167159\t0,09876659\t1,1661E-06\t0,001407109\t4,14327E-06\t0,665888019\t0,028298094\t0,002944526
C3\t0,004864731\t0,969864901\t3,191152673\t0,099153709\t1,28522E-05\t0,015500048\t4,56403E-05\t0,665888019\t0,028298302\t0,002944526
C3\t0,049089556\t0,96955103\t3,28241502\t0,103084987\t0,000132252\t0,158636766\t0,00046711\t0,665888018\t0,028300432\t0,002944526
C3\t0,49133781\t0,966874146\t4,351610543\t0,149089535\t0,001608538\t1,835610182\t0,005405001\t0,665887693\t0,028326763\t0,002944526
C3\t1,803593109\t0,962269863\t10,04519718\t0,393867338\t0,010529365\t10,76723245\t0,031704393\t0,665822406\t0,028485876\t0,002944526
C3\t3\t0,960250724\t21,52070082\t0,890842624\t0,030038428\t28,78947486\t0,084771349\t0,664636018\t0,028833842\t0,002944526
C3\t3,10699124\t0,960113504\t23,03513718\t0,956960711\t0,032676807\t31,17210699\t0,09178707\t0,664299539\t0,0288809\t0,002944526
C3\t4\t0,958985487\t40,50320835\t1,732267487\t0,063845955\t58,83146153\t0,173230751\t0,655353281\t0,029436836\t0,002944526
C3\t4,108167961\t0,958829203\t43,33436112\t1,860717386\t0,069032577\t63,36411584\t0,186577268\t0,652777655\t0,029529346\t0,002944526
C3\t5\t0,956797799\t74,06217249\t3,344122303\t0,129332053\t114,7140486\t0,337778465\t0,594983479\t0,030604854\t0,002944526
C3\t5,109364013\t0,956377693\t78,71585563\t3,590388223\t0,139453261\t123,0667913\t0,36237333\t0,580474761\t0,030785377\t0,002944526
C3\t6\t0,94976874\t118,5827318\t6,271589887\t0,254233335\t211,0362099\t0,621401544\t0,38226001\t0,032832606\t0,002944526
C3\t6,112528254\t0,948383106\t123,1214874\t6,701035421\t0,273717851\t224,6378674\t0,661451974\t0,3513861\t0,033180134\t0,002944526
C3\t7\t0,932373231\t148,2311822\t10,75148401\t0,478287826\t346,4981251\t1,020272635\t0,155418962\t0,036828867\t0,002944526
C3\t7,117824313\t0,92960541\t150,1425591\t11,36958081\t0,51308129\t364,0787461\t1,072039226\t0,137601793\t0,037449447\t0,002944526
C3\t8\t0,904933886\t157,3217864\t16,52714209\t0,839838545\t500,4881841\t1,473700322\t0,060736414\t0,043277525\t0,002944526
C3\t8,123180589\t0,900976619\t157,5926874\t17,32049465\t0,895498818\t519,8852491\t1,530815479\t0,054795727\t0,044270287\t0,002944526
C3\t9\t0,8693242\t156,3965572\t23,50934806\t1,371572906\t657,8898942\t1,937173703\t0,028222316\t0,052761597\t0,002944526
C3\t9,127867404\t0,864180733\t155,8564336\t24,49523088\t1,45351793\t677,8541585\t1,995958992\t0,025316593\t0,054223177\t0,002944526
C3\t10\t0,825374474\t150,4785114\t31,83692988\t2,107294999\t811,6353018\t2,389881008\t0,014992533\t0,065884016\t0,002944526
C3\t10,13184897\t0,8189211\t149,4464974\t33,04543901\t2,221500452\t831,4082939\t2,448103091\t0,014190932\t0,067920997\t0,002944526
C3\t11\t0,772273994\t141,3939946\t41,69386756\t3,085427611\t957,8073967\t2,820288498\t0,009351295\t0,083330096\t0,002944526
C3\t11,13522219\t0,764338887\t139,9573634\t43,15168128\t3,238594415\t976,8304049\t2,876302235\t0,008901946\t0,086061996\t0,002944526
C3\t12\t0,709164674\t129,6916539\t53,18780801\t4,348534984\t1093,554768\t3,220000123\t0,006369374\t0,105859017\t0,002944526
C4\t0\t0,966666641\t3\t0,103448358\t0\t0\t0\t0,964998594\t0,015075835\t0,002623658
C4\t0,000469069\t0,966676054\t3,001337037\t0,103464229\t5,34829E-06\t0,001407522\t3,69286E-06\t0,964998594\t0,015075871\t0,002623658
C4\t0,005159763\t0,966769937\t3,01474022\t0,10362342\t5,88764E-05\t0,015517286\t4,07121E-05\t0,964998594\t0,015076235\t0,002623658
C4\t0,0520667\t0,967684391\t3,152108287\t0,105263967\t0,000598772\t0,16012735\t0,000420119\t0,964998593\t0,015079905\t0,002623658
C4\t0,521136069\t0,974761735\t4,921635522\t0,127429644\t0,006564235\t2,022988966\t0,005307632\t0,964997677\t0,015120462\t0,002623658
C4\t1,53538908\t0,982051828\t12,89689381\t0,235706164\t0,025834136\t10,42002382\t0,027338582\t0,964873338\t0,015251471\t0,002623658
C4\t2,824568568\t0,984677684\t43,74895426\t0,680766208\t0,084413552\t43,00866994\t0,112840052\t0,956269529\t0,01564973\t0,002623658
C4\t3\t0,984772183\t51,57251113\t0,797480632\t0,098671621\t51,35179772\t0,134729568\t0,950234155\t0,015746666\t0,002623658
C4\t3,101113694\t0,984803561\t56,66904722\t0,874456331\t0,107980366\t56,82034221\t0,14907716\t0,945105104\t0,015809952\t0,002623658
C4\t4,112250631\t0,983594769\t133,3813475\t2,224647737\t0,269234061\t149,2672338\t0,391626211\t0,698462564\t0,016906255\t0,002623658
C4\t5\t0,977156295\t196,2459439\t4,587786416\t0,593476038\t299,0043584\t0,784485255\t0,237259583\t0,019110653\t0,002623658
C4\t5,108900476\t0,975924372\t200,5617335\t4,947770333\t0,650685408\t320,6168041\t0,841188926\t0,201814046\t0,019499597\t0,002623658
C4\t6,197905237\t0,959593528\t219,100362\t9,225856925\t1,488984162\t552,1499199\t1,448652698\t0,047502227\t0,025198872\t0,002623658
C4\t7\t0,943175582\t219,7632356\t13,2402896\t2,475788934\t728,5361975\t1,911430013\t0,02127033\t0,031907783\t0,002623658
C4\t7,121640561\t0,940314466\t219,4111996\t13,92690962\t2,657865733\t755,2477932\t1,981512111\t0,018342799\t0,033145653\t0,002623658
C4\t8,338046171\t0,905107401\t211,8693621\t22,21265059\t5,049307588\t1018,237514\t2,671507266\t0,007573814\t0,049404158\t0,002623658
C4\t9\t0,879767785\t205,0940053\t28,02888106\t6,875643222\t1156,34319\t3,033849362\t0,005184789\t0,061820719\t0,002623658
C4\t9,129228973\t0,874214966\t203,5642293\t29,28951622\t7,283766202\t1182,749198\t3,103129704\t0,00508861\t0,064595392\t0,002623658
C4\t10\t0,830877589\t191,3617662\t38,95106047\t10,54157664\t1354,936736\t3,55489096\t0,003390649\t0,086744007\t0,002623658
C4\t10,13195236\t0,823337765\t189,215957\t40,59975794\t11,11994943\t1380,04667\t3,620770845\t0,003148452\t0,090676144\t0,002623658
C4\t11\t0,766694545\t173,1144843\t52,67880634\t15,56488199\t1537,556544\t4,034022928\t0,002278677\t0,120895551\t0,002623658
C4\t11,13435078\t0,756787127\t170,3134991\t54,73459319\t16,36004769\t1560,627361\t4,094552869\t0,002118032\t0,12630158\t0,002623658
C4\t12\t0,68542225\t150,3935542\t69,02382559\t22,25016334\t1699,664015\t4,459337533\t0,001640459\t0,166346237\t0,002623658
C4\t12,13646336\t0,673000164\t146,9801872\t71,41528276\t23,30620143\t1719,955105\t4,512574419\t0,001652277\t0,173525839\t0,002623658
C4\t13\t0,587618569\t124,0086214\t87,02729198\t30,8412372\t1837,111896\t4,819953803\t0,001356315\t0,224753683\t0,002623658
C5\t0\t0,8673\t2,80141\t0,428625743\t0\t0\t0\t0,582853693\t0,056566828\t0,002327969
C5\t0,000504135\t0,867311237\t2,802153368\t0,428697622\t8,02002E-06\t0,001412477\t3,2882E-06\t0,582853693\t0,056566926\t0,002327969
C5\t0,005545487\t0,867423441\t2,809597897\t0,429417517\t8,82942E-05\t0,015557876\t3,62183E-05\t0,582853693\t0,056567909\t0,002327969
C5\t0,055959009\t0,868529449\t2,885138906\t0,436727621\t0,000898517\t0,15909533\t0,000370369\t0,582853693\t0,056577828\t0,002327969
C5\t0,560094224\t0,878115313\t3,76166061\t0,522128268\t0,009831577\t1,824788771\t0,004248052\t0,582853338\t0,056687188\t0,002327969
C5\t2,152712289\t0,895634927\t8,692412457\t1,012895139\t0,053135473\t11,20115592\t0,026075945\t0,582771657\t0,057217325\t0,002327969
C5\t3\t0,900013333\t13,56410749\t1,50689978\t0,092161935\t20,47803117\t0,047672224\t0,582352776\t0,057695096\t0,002327969
C5\t3,11121361\t0,900420853\t14,37894984\t1,59019369\t0,09855161\t22,03141767\t0,05128846\t0,582230049\t0,05777332\t0,002327969
C5\t4\t0,90255995\t22,88964696\t2,471158101\t0,164370931\t38,30541126\t0,089173815\t0,579590695\t0,058579096\t0,002327969
C5\t4,112494076\t0,902699033\t24,27019203\t2,616058134\t0,174987095\t40,95727577\t0,095347274\t0,578869969\t0,058709061\t0,002327969
C5\t5\t0,902683503\t38,30403348\t4,129480977\t0,284087786\t68,28320002\t0,158961182\t0,564840833\t0,060044698\t0,002327969
C5\t5,113245435\t0,902529448\t40,55805873\t4,380152217\t0,301964398\t72,74753235\t0,169354009\t0,563195008\t0,060263548\t0,002327969
C5\t6\t0,899001746\t61,93127461\t6,957662384\t0,485283551\t117,7282135\t0,274067647\t0,502745107\t0,062507784\t0,002327969
C5\t6,114448248\t0,898116879\t65,08108757\t7,382852397\t0,515730156\t124,9958581\t0,290986499\t0,489257181\t0,062880518\t0,002327969
C5\t7\t0,885628496\t89,12610556\t11,50989014\t0,822048006\t193,50186\t0,450466356\t0,338967157\t0,066630534\t0,002327969
C5\t7,117507593\t0,88305167\t91,89597244\t12,17038699\t0,873672759\t204,1392398\t0,475229848\t0,315836035\t0,067262536\t0,002327969
C5\t8\t0,856155242\t106,4108498\t17,87834979\t1,362358003\t292,4923894\t0,680913253\t0,166824757\t0,073245137\t0,002327969
C5\t8,122280133\t0,851449407\t107,5272171\t18,76004815\t1,445484166\t305,5746202\t0,711368282\t0,151615572\t0,074262787\t0,002327969
C5\t9\t0,812028806\t110,5671296\t25,59445571\t2,165635546\t401,856073\t0,935508532\t0,077989602\t0,08307905\t0,002327969
C5\t9,127310915\t0,805592737\t110,4352307\t26,65045253\t2,289051886\t415,925304\t0,968261267\t0,071162854\t0,084589942\t0,002327969
C5\t10\t0,757440021\t106,9881516\t34,2615166\t3,273752037\t511,0810497\t1,189780905\t0,040638483\t0,096644874\t0,002327969
C5\t10,1319926\t0,749594465\t106,1651072\t35,46495035\t3,444524362\t525,1490905\t1,22253087\t0,037713474\t0,098735509\t0,002327969
C5\t11\t0,694678517\t99,38146804\t43,67962508\t4,717943217\t614,5124184\t1,430565939\t0,024121814\t0,114325004\t0,002327969
C5\t11,13616842\t0,685568192\t98,14004726\t45,01135394\t4,942037519\t627,9609783\t1,461873771\t0,022659153\t0,117068419\t0,002327969
C5\t12\t0,624944411\t89,43851541\t53,67583814\t6,523012554\t709,072901\t1,650699823\t0,015927222\t0,136423089\t0,002327969
C6\t0\t0,980879517\t3,90819\t0,07618314\t0\t0\t0\t0,78937025\t0,018291653\t0,001638833
C6\t0,000359449\t0,980882608\t3,909273356\t0,076191699\t1,71415E-05\t0,001404988\t2,30254E-06\t0,78937025\t0,018291697\t0,001638833
C6\t0,003953935\t0,980913435\t3,920123446\t0,076277569\t0,000188663\t0,015476308\t2,53631E-05\t0,78937025\t0,018292134\t0,001638833
C6\t0,039898796\t0,981213356\t4,030294144\t0,07716538\t0,001914731\t0,158355493\t0,000259518\t0,78937025\t0,018296533\t0,001638833
C6\t0,399347411\t0,983511033\t5,317442657\t0,089149111\t0,020514685\t1,82770178\t0,002995298\t0,789370035\t0,018343935\t0,001638833
C6\t1,483558481\t0,986194146\t12,26619404\t0,171715973\t0,104282839\t10,84147817\t0,017767374\t0,789325368\t0,018557422\t0,001638833
C6\t2,953482307\t0,986532777\t38,02914194\t0,519138293\t0,390396798\t44,3235877\t0,072638966\t0,786314948\t0,019286594\t0,001638833
C6\t3\t0,9865199\t39,41015139\t0,538511995\t0,405792818\t46,12454835\t0,07559044\t0,785928871\t0,019325831\t0,001638833
C6\t3,10413389\t0,986486644\t42,68280155\t0,584689023\t0,442376862\t50,39665439\t0,082591709\t0,784887286\t0,019419067\t0,001638833
C6\t4\t0,985866954\t83,81370293\t1,20152414\t0,921795131\t105,1412615\t0,172308988\t0,750448421\t0,020640882\t0,001638833
C6\t4,104818262\t0,985736658\t90,43800476\t1,30861335\t1,004088668\t114,2700841\t0,187269605\t0,741088604\t0,02085061\t0,001638833
C6\t5\t0,983403342\t159,2067758\t2,686893829\t2,080895406\t224,925743\t0,36861577\t0,524237137\t0,023594891\t0,001638833
C6\t5,107185182\t0,982897096\t167,6103756\t2,916504855\t2,268783328\t242,4433594\t0,397324221\t0,483076888\t0,02407373\t0,001638833
C6\t6\t0,976079294\t217,9432697\t5,341120171\t4,536490147\t417,5301893\t0,684262328\t0,186031362\t0,029853064\t0,001638833
C6\t6,113114022\t0,974863045\t221,2153391\t5,704062906\t4,927440242\t442,3725911\t0,72497488\t0,151385587\t0,030849415\t0,001638833
C6\t7\t0,96318307\t233,1842203\t8,913286874\t8,953934563\t645,3633893\t1,057642935\t0,05665504\t0,041111083\t0,001638833
C6\t7,11936652\t0,961316178\t233,5628026\t9,398678755\t9,637941866\t673,2226604\t1,103299633\t0,052378617\t0,042854301\t0,001638833
C6\t8\t0,944858304\t230,6590403\t13,46120432\t15,8973437\t878,2749124\t1,439346067\t0,024512383\t0,058806616\t0,001638833
C6\t8,12434876\t0,942099279\t229,5825388\t14,10997221\t16,97020703\t906,8915291\t1,486243928\t0,021513993\t0,061540847\t0,001638833
C6\t9\t0,919020041\t218,5277642\t19,25569483\t26,06733537\t1103,511036\t1,808470499\t0,012098471\t0,084725212\t0,001638833
C6\t9,128417756\t0,915042315\t216,4505187\t20,09648586\t27,64877652\t1131,441768\t1,85424431\t0,011903076\t0,088755573\t0,001638833
C6\t10\t0,883296414\t199,324107\t26,33525696\t40,27489336\t1313,008981\t2,151802682\t0,007658475\t0,120933694\t0,001638833
C6\t10,13204976\t0,877706385\t196,2839133\t27,34886021\t42,49341463\t1339,130187\t2,194610982\t0,007135419\t0,126587677\t0,001638833
C6\t11\t0,835368595\t173,6625056\t34,22477509\t59,21002232\t1499,995629\t2,458242607\t0,005090703\t0,169190564\t0,001638833
C6\t11,1355553\t0,82785111\t169,7557296\t35,30014029\t62,1596316\t1523,272744\t2,496389914\t0,004962524\t0,176707752\t0,001638833
C6\t12\t0,774098181\t143,0235444\t41,73795999\t83,04627124\t1658,661871\t2,718270107\t0,003849279\t0,229938118\t0,001638833
C6\t12,13859682\t0,764571985\t138,5210701\t42,65359077\t86,70718201\t1678,172934\t2,750245485\t0,003730407\t0,239268084\t0,001638833
C6\t13\t0,700384526\t110,1231208\t47,10925197\t111,0139236\t1785,277007\t2,925771194\t0,003100965\t0,301214705\t0,001638833
C6\t13,139977\t0,68924472\t105,5437627\t47,58582923\t115,1629245\t1800,370815\t2,950507426\t0,003023877\t0,311788586\t0,001638833
C6\t14\t0,617803049\t78,64691817\t48,65403691\t141,2156879\t1879,385704\t3,079999648\t0,002659519\t0,378185008\t0,001638833
C7\t0\t0,983638077\t3,17334\t0,05278562\t0\t0\t0\t0,87864858\t0,012998798\t0,001363911
C7\t0,000441352\t0,983648111\t3,174552626\t0,05277287\t3,09591E-05\t0,001400828\t1,9106E-06\t0,87864858\t0,012998886\t0,001363911
C7\t0,004854872\t0,983747924\t3,186704395\t0,05264617\t0,00034014\t0,015438579\t2,10568E-05\t0,87864858\t0,012999767\t0,001363911
C7\t0,048990076\t0,984695452\t3,310809336\t0,051457982\t0,003392697\t0,158805691\t0,000216597\t0,87864858\t0,013008466\t0,001363911
C7\t0,490342113\t0,990500326\t4,851204757\t0,046526851\t0,031550497\t1,938382071\t0,00264378\t0,878648231\t0,013088702\t0,001363911
C7\t1,247999456\t0,993357986\t9,34622931\t0,062492869\t0,083973111\t7,132089824\t0,009727535\t0,87863118\t0,013238082\t0,001363911
C7\t2,179436569\t0,993843159\t20,92213812\t0,129612278\t0,196152463\t20,51319473\t0,027978169\t0,87823477\t0,013557741\t0,001363911
C7\t3\t0,993720335\t42,48032148\t0,268447934\t0,403406167\t45,49845507\t0,062055837\t0,874154213\t0,014148317\t0,001363911
C7\t3,102115505\t0,993686405\t46,37607464\t0,294660122\t0,441588314\t50,03241548\t0,068239755\t0,872682335\t0,014257118\t0,001363911
C7\t4\t0,993115359\t98,50561971\t0,682877228\t0,990996438\t112,4246178\t0,153337158\t0,815400717\t0,015822674\t0,001363911
C7\t4,102470837\t0,993003456\t106,8822471\t0,753075216\t1,088696132\t122,9435366\t0,167684026\t0,803203394\t0,016101072\t0,001363911
C7\t5\t0,990924253\t189,7835886\t1,738203416\t2,502290822\t256,0107912\t0,349175901\t0,461748124\t0,020129155\t0,001363911
C7\t5,105950965\t0,990392925\t195,9620505\t1,900884111\t2,758443506\t276,4510393\t0,377054577\t0,304169027\t0,02085907\t0,001363911
C7\t6\t0,984676414\t225,9673746\t3,516516081\t5,930598601\t467,7431811\t0,637960008\t0,099446431\t0,029898227\t0,001363911
C7\t6,113216544\t0,983786163\t227,9994534\t3,75767215\t6,477735507\t493,445329\t0,673015447\t0,102386742\t0,031457311\t0,001363911
C7\t7\t0,974657324\t233,2697283\t6,065392389\t12,18757806\t699,1363162\t0,95355962\t0,0393756\t0,047727689\t0,001363911
C7\t7,118492902\t0,973119468\t233,0738164\t6,43821068\t13,1718946\t726,7675487\t0,991246159\t0,039755046\t0,050532531\t0,001363911
C7\t8\t0,958415792\t225,9881388\t9,805282694\t22,5810596\t929,7800186\t1,268137073\t0,019449008\t0,077344246\t0,001363911
C7\t8,122443848\t0,955849277\t224,3093526\t10,36085963\t24,22161131\t957,3497375\t1,305739712\t0,01797498\t0,08201905\t0,001363911
C7\t9\t0,932774912\t207,6626223\t14,96624523\t38,88963343\t1147,476857\t1,565056156\t0,010529031\t0,123816046\t0,001363911
C7\t9,126117999\t0,928700466\t204,6153421\t15,70902459\t41,46023572\t1173,476406\t1,600517225\t0,009899815\t0,131141059\t0,001363911
C7\t10\t0,894416741\t179,1653388\t21,14993985\t62,83720023\t1341,702697\t1,829962891\t0,006648068\t0,192055399\t0,001363911
C7\t10,13013855\t0,888349686\t174,7705128\t21,96565499\t66,56596767\t1364,734598\t1,861376351\t0,006334953\t0,202680641\t0,001363911
C7\t11\t0,841310679\t142,3047729\t26,8417462\t94,91495768\t1502,979161\t2,049929612\t0,004751283\t0,28346199\t0,001363911
C7\t11,1340396\t0,833092415\t136,9580398\t27,43913542\t99,75071951\t1521,695927\t2,075457613\t0,004532573\t0,297241647\t0,001363911
C7\t12\t0,775019691\t102,0493206\t29,62387658\t132,8999827\t1625,149411\t2,216558944\t0,003724354\t0,391701527\t0,001363911
C7\t12,1351162\t0,765341544\t96,73829222\t29,6605593\t138,2243333\t1638,578236\t2,234874664\t0,003678174\t0,406873433\t0,001363911
C7\t13\t0,701923107\t65,46710819\t27,80109677\t171,5960745\t1708,32251\t2,329999639\t0,003247402\t0,501967272\t0,001363911
C8\t0\t0,973187103\t3,59611\t0,099078713\t0\t0\t0\t0,768893426\t0,073559584\t0,003857083
C8\t0,000391049\t0,973178667\t3,59708795\t0,0991377\t4,44713E-05\t0,001406446\t5,42478E-06\t0,768893426\t0,073559662\t0,003857083
C8\t0,004301539\t0,973094642\t3,606882079\t0,099727662\t0,00049064\t0,015491962\t5,97538E-05\t0,768893426\t0,073560445\t0,003857083
C8\t0,043406434\t0,972287449\t3,706301489\t0,105638583\t0,005098102\t0,158473796\t0,000611247\t0,768893426\t0,073568534\t0,003857083
C8\t0,434455389\t0,966759694\t4,864292213\t0,167250001\t0,066103039\t1,82399362\t0,007035295\t0,768893066\t0,073675633\t0,003857083
C8\t1,475602934\t0,962171123\t10,02906692\t0,394304435\t0,38867738\t9,256118151\t0,035701618\t0,768846347\t0,074241939\t0,003857083
C8\t2,863640104\t0,960749584\t26,25405816\t1,072582007\t1,470662126\t32,66880992\t0,126006319\t0,766829005\t0,076141453\t0,003857083
C8\t3\t0,960613004\t28,84482433\t1,182693735\t1,646959579\t36,42272573\t0,140485484\t0,766035401\t0,076450958\t0,003857083
C8\t3,105552926\t0,960499376\t31,02098046\t1,275740626\t1,795768062\t39,58086868\t0,152666704\t0,765229493\t0,076712204\t0,003857083
C8\t4\t0,95902995\t56,93433649\t2,432252104\t3,634260901\t77,82386601\t0,300173128\t0,741892463\t0,07993983\t0,003857083
C8\t4,106660748\t0,958772603\t61,10519742\t2,627534679\t3,943738016\t84,11674962\t0,324445304\t0,739512001\t0,080483143\t0,003857083
C8\t5\t0,954591537\t104,3897939\t4,965663257\t7,719786809\t157,1295667\t0,606061815\t0,595202683\t0,08711231\t0,003857083
C8\t5,108798427\t0,953709981\t110,1320101\t5,345454023\t8,363204932\t168,8000149\t0,651075705\t0,564026301\t0,088241884\t0,003857083
C8\t6\t0,942046576\t147,0388274\t9,045628665\t15,65242221\t285,2260666\t1,100140676\t0,277068189\t0,101038711\t0,003857083
C8\t6,114902863\t0,939988286\t149,7515913\t9,560597551\t16,87900219\t302,2818928\t1,165926417\t0,246398099\t0,103192074\t0,003857083
C8\t7\t0,921290066\t156,5164211\t13,37189834\t28,55942479\t439,4380923\t1,694949292\t0,10220733\t0,123698025\t0,003857083
C8\t7,122960129\t0,918388365\t155,9643514\t13,85961123\t30,48065127\t458,6522108\t1,769059747\t0,091338706\t0,127070898\t0,003857083
C8\t8\t0,895994402\t145,9687508\t16,94381924\t46,04106363\t591,7112608\t2,282279576\t0,045409079\t0,154388494\t0,003857083
C8\t8,130643236\t0,892411429\t143,8221409\t17,33910844\t48,61093633\t610,6422486\t2,355297971\t0,041347848\t0,158900119\t0,003857083
C8\t9\t0,867030076\t127,0394726\t19,48309458\t67,05095796\t728,6444469\t2,81044227\t0,024888003\t0,191273108\t0,003857083
C8\t9,137330559\t0,862787444\t124,1099121\t19,73769831\t70,14152512\t745,8903016\t2,876960967\t0,023292089\t0,196698855\t0,003857083
C8\t10\t0,834924075\t104,9065873\t20,74146915\t90,2644242\t844,7418891\t3,258239766\t0,016187357\t0,232026275\t0,003857083
C8\t10,14223025\t0,830163945\t101,6872248\t20,80330909\t93,65497578\t859,4338211\t3,314907771\t0,015463657\t0,23797867\t0,003857083
C8\t11\t0,8008925\t82,5963371\t20,53402941\t114,0890701\t938,408729\t3,619520563\t0,011934137\t0,273852419\t0,003857083
C8\t11,14417446\t0,795925746\t79,49885655\t20,38339627\t117,474062\t950,0931944\t3,664588519\t0,011502123\t0,279795054\t0,003857083
C8\t12\t0,766700345\t62,20946636\t18,92975159\t136,8524595\t1010,584691\t3,897909254\t0,009581907\t0,31381544\t0,003857083
C8\t12,14310474\t0,761905339\t59,53503006\t18,60463768\t139,9344576\t1019,294983\t3,931505577\t0,009345879\t0,319226143\t0,003857083
C8\t13\t0,734237068\t45,02837264\t16,29837673\t157,1387316\t1063,905581\t4,103572366\t0,008230832\t0,349429675\t0,003857083
C8\t13,14045784\t0,729909508\t42,90711595\t15,8770422\t159,7317116\t1070,080337\t4,127388913\t0,008090627\t0,353981866\t0,003857083
C8\t14\t0,70506051\t31,50877227\t13,18068604\t174,0726887\t1101,869165\t4,250001068\t0,007416915\t0,379158642\t0,003857083
C9\t0\t0,972148514\t4,58759\t0,13143177\t0\t0\t0\t0,661663454\t0,068079714\t0,007384561
C9\t0,000306873\t0,972143988\t4,588425727\t0,131477686\t4,99357E-05\t0,001407934\t1,0397E-05\t0,661663454\t0,068079798\t0,007384561
C9\t0,0033756\t0,972098871\t4,596791367\t0,131936855\t0,000550252\t0,015501393\t0,000114471\t0,661663454\t0,068080639\t0,007384561
C9\t0,03406287\t0,971661459\t4,68129058\t0,136530008\t0,005649365\t0,157856964\t0,001165704\t0,661663454\t0,068089208\t0,007384561
C9\t0,340935574\t0,968407668\t5,616511133\t0,183227259\t0,06631966\t1,733564671\t0,012801614\t0,661663212\t0,068191166\t0,007384561
C9\t1,329397958\t0,964663088\t10,09546753\t0,369810615\t0,396682934\t9,284214542\t0,068559848\t0,661626233\t0,06874635\t0,007384561
C9\t2,64216018\t0,963414263\t21,95734717\t0,833832079\t1,326338472\t29,33069866\t0,216594332\t0,66049188\t0,07030866\t0,007384561
C9\t3\t0,96309736\t27,11141829\t1,038818051\t1,739411754\t38,07823571\t0,281191053\t0,659105337\t0,07100284\t0,007384561
C9\t3,108170447\t0,962990084\t28,89079705\t1,110339537\t1,883245339\t41,106133\t0,303550745\t0,658448485\t0,071244557\t0,007384561
C9\t4\t0,961731687\t48,46939204\t1,928647981\t3,518573915\t74,8979298\t0,553088328\t0,642681521\t0,073992768\t0,007384561
C9\t4,109556202\t0,961512968\t51,58011299\t2,064626845\t3,789245922\t80,37692446\t0,593548298\t0,639763056\t0,07444764\t0,007384561
C9\t5\t0,958561657\t82,70388251\t3,575264924\t6,825734882\t139,4564506\t1,029824661\t0,556933523\t0,079550538\t0,007384561
C9\t5,111303638\t0,957978251\t87,12397345\t3,821696137\t7,335156408\t148,9072626\t1,099614758\t0,538206304\t0,080406634\t0,007384561
C9\t6\t0,950577011\t119,5948757\t6,218050937\t12,79541456\t241,4846448\t1,783258081\t0,333241251\t0,089582739\t0,007384561
C9\t6,115868878\t0,949213631\t122,7963681\t6,570050745\t13,71246465\t255,5306349\t1,886981551\t0,30442897\t0,091123865\t0,007384561
C9\t7\t0,936315716\t136,232318\t9,265953267\t22,38843754\t371,424008\t2,742803229\t0,143740682\t0,105704061\t0,007384561
C9\t7,122961012\t0,934248924\t136,7277098\t9,622696764\t23,82605298\t388,2085945\t2,866750032\t0,129386383\t0,108120011\t0,007384561
C9\t8\t0,918174201\t133,7513054\t11,9196416\t35,56176006\t507,5398352\t3,747958853\t0,064914313\t0,12784217\t0,007384561
C9\t8,130328168\t0,915608946\t132,5761035\t12,21944925\t37,5090921\t524,8963852\t3,876129355\t0,05899077\t0,131114712\t0,007384561
C9\t9\t0,897461277\t121,7962119\t13,91572919\t51,6259272\t635,8250542\t4,695288873\t0,034541868\t0,154838417\t0,007384561
C9\t9,137111094\t0,89444259\t119,7509432\t14,13237647\t54,00638333\t652,3852744\t4,817578829\t0,032121876\t0,158838835\t0,007384561
C9\t10\t0,874570822\t105,6106304\t15,1464629\t69,69910963\t749,7465693\t5,536549246\t0,021520479\t0,185210867\t0,007384561
C9\t10,14280359\t0,871148773\t103,1253073\t15,25321833\t72,38629658\t764,650997\t5,646611901\t0,020121911\t0,189726754\t0,007384561
C9\t11\t0,850069148\t87,91553553\t15,50609281\t88,76557434\t846,548396\t6,251388237\t0,014949991\t0,217252553\t0,007384561
C9\t11,1465807\t0,846401552\t85,31599977\t15,48249192\t91,57728401\t859,2444759\t6,345143212\t0,01453173\t0,221977704\t0,007384561
C9\t12\t0,824958516\t70,55325904\t14,97014331\t107,7184822\t925,6975403\t6,835869918\t0,011672719\t0,249103404\t0,007384561
C9\t12,14762504\t0,821262917\t68,0971748\t14,82045534\t110,4407266\t935,9312299\t6,911441222\t0,01119812\t0,253678206\t0,007384561
C9\t13\t0,800350809\t54,73797973\t13,65450406\t125,5060263\t988,1749477\t7,297238141\t0,009538732\t0,278995831\t0,007384561
C9\t13,14632854\t0,796863518\t52,60564085\t13,41023219\t127,9573977\t996,0280481\t7,35522984\t0,009409061\t0,283115424\t0,007384561
C9\t14\t0,777385081\t41,21993963\t11,80389715\t141,3038703\t1035,945328\t7,650001427\t0,008375995\t0,305544516\t0,007384561
`.replace(/\,/gi, '.');
const [columnsNames, ...rows] = predictedDataRaw
  .split('\n')
  .map((row) => row.split('\t'));

const mapColumnNameToRawColumnName = {
  [columnsNames[0]]: 'batchId',
  [columnsNames[1]]: 'days',
  [columnsNames[3]]: 'viableCellDensity',
  [columnsNames[2]]: 'viability'
};

export const predictedData = rows.map((row) =>
  row.reduce((acc, row, rowIdx) => {
    const columnsName =
      mapColumnNameToRawColumnName[columnsNames[rowIdx]] ||
      columnsNames[rowIdx];
    return {
      ...acc,
      [columnsName]: Boolean(row) && rowIdx !== 0 ? parseFloat(row) : row
    };
  }, {})
);
